import {
  get,
  post,
} from '@/common/utils/http-util.ts'

export default {
  paging(data: ProjectTypes.SearchProjectParam) {
    return get<G.PageResult<ProjectTypes.SearchProjectResult>>('/project/paging', data)
  },
  detail(id: string) {
    return get<ProjectTypes.SearchProjectResult>('/project/detail', {id})
  },
  add(data: ProjectTypes.AddProjectParam) {
    return post('/project/add', data)
  },
  modify(data: ProjectTypes.ModifyProjectParam) {
    return post('/project/modify', data)
  },
  del(ids: string[]) {
    return post('/project/del', ids)
  },
}
